Bug 93031 - [MAINTAINER] databases/db44: update to 4.4.20.2
[MAINTAINER] databases/db44: update to 4.4.20.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Vasil Dimov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 10:20 UTC by matthias.andree
Modified: 2006-02-09 11:10 UTC (History)
0 users

See Also:


Attachments
db44-4.4.20.2.patch (2.12 KB, patch)
2006-02-08 10:20 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2006-02-08 10:20:03 UTC
- Update to 4.4.20.2, containing two bug fixes:
  + Fix a bug that could cause a trap during recovery if multiple operations
    that could remove the same extent were recovered. [#14061]
  + Fix a bug that could cause traps or hangs if the DB_TXN->set_name function
    is used in a multithreaded application. [#14033]

Generated with FreeBSD Port Tools 0.63
Comment 1 Vasil Dimov freebsd_committer 2006-02-08 10:26:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

I will take it
Comment 2 Vasil Dimov freebsd_committer 2006-02-09 10:05:14 UTC
State Changed
From-To: open->closed

Committed 
Note that BDBVER=${PORTVERSION:R} was not ready for the additional dot 
in PORTVERSION so I extended it to :R:R. 
Consider removing BDBMINOR and BDBDIR variables in the next update 
if they are not used. 
Thanks!
Comment 3 matthias.andree 2006-02-09 11:02:53 UTC
On Thu, 09 Feb 2006, Vasil Dimov wrote:

> Synopsis: [MAINTAINER] databases/db44: update to 4.4.20.2
> 
> State-Changed-From-To: open->closed
> State-Changed-By: vd
> State-Changed-When: Thu Feb 9 10:05:14 UTC 2006
> State-Changed-Why: 
> Committed
> Note that BDBVER=${PORTVERSION:R} was not ready for the additional dot
> in PORTVERSION so I extended it to :R:R.

Thanks for catching and fixing that one.

> Consider removing BDBMINOR and BDBDIR variables in the next update
> if they are not used.

Please remove them from the Makefile. (No need to bump PORTREVISION for
this change.)

-- 
Matthias Andree